#!/usr/bin/perl -w
use DBI;
use Data::Dumper;

db_connect();
@toc = ();

$q=db_exec("select nid,title,body from node order by nid");
  if (!$q or $q->rows < 0 ) {
      die("failed");
  }

while ($line=$q->fetchrow_hashref()){
    open(FD, ">".$line->{nid}.".html") or die;
    binmode FD;
    print Dumper($line->{title});
    header();
    print FD $line->{title}."\n";
    print FD $line->{body}."\n";
    footer();
    close(FD);
    unshift @toc, "{{Clanek|".$line->{title}."|".substr($line->{body}, 0, 500)."}}\n\n";
}

open(FD, ">toc.html") or die;
header();
foreach $toc (@toc){
    print FD $toc;
}
footer();
close(FD);

db_disconnect();

sub header{
    print FD '<html><head><meta http-equiv="content-type" content="text/html; charset=utf-8"></head><body><pre>';
}

sub footer{
    print FD '</pre></body></html>';
}

sub db_connect{
  (undef)=@_;
  $DBAUTHUSER="ok1zia";
  $DBAUTHPW="zI\@V";  
  $db=DBI->connect("DBI:Pg:".
                     "dbname=drupal_nagano4;".
                     "host=localhost;",
                   $DBAUTHUSER,
                   $DBAUTHPW)
    or die "Can't connect to database: ".DBI->errstr."\n";
                                                           

}

sub db_disconnect{
  $db->disconnect();
}

sub db_exec{
  my ($query)=@_;
  my ($q);
  
#  print Dumper $query;
#  print $query."\n";
  $q=$db->prepare($query) or die $db->errstr;
  $q->execute();

  return $q;
}

