#!/usr/bin/perl -w
use Data::Dumper;

$file = $ARGV[0];
print Dumper($file);
die if (!defined($file));
open(IN, $file) or die;
$outfile=$file;
$outfile=~s/\..*?$//;
$outfile.='.tab';
open(OUT, ">$outfile") or die;
while ($s=<IN>){
    last if ($s=~/^\*\*\*Wires\*\*\*/);
}
print OUT " Nr  Position  Length  Length/2  Diameter\n";
$max=0+<IN>;
for ($i=1; $i<=$max;$i++){
    $s = <IN>;
    $s =~ s/,//g;
    @a = split /\t/, $s;
#    print Dumper(@a);
    $pos = 0.0 + $a[0];
    $len2 = 0.0 + $a[4];
    $len = 0.0 + $a[4] - $a[1];
    $r = 0.0 + $a[6];
#    print Dumper($pos, $len2, $len, $r);
    printf OUT " %2d %7.1f  %8.1f  %6.1f  %6.1f\n", 
        $i, $pos*1000, $len*1000.0, $len2*1000.0, $r*2000.0;
}
close(IN);
close(OUT);
