<? 
    include "/usr/share/ziautils/zphplib.php";
    $authorized = array('62.209.223.218', '81.201.59.22', '84.242.75.243', '31.47.102.69', '37.188.233.139', '80.188.190.122');
    if (!in_array($_SERVER['REMOTE_ADDR'], $authorized)){
        header('HTTP/1.0 401 Unauthorized');
        print('HTTP/1.0 401 Unauthorized '/*.$_SERVER['REMOTE_ADDR']*/);
        exit(0);
    }

    if (!isset($PG_CONNECT_STRING)){
        echo "<div style='background-color: red;display:table;padding: 1em;border: solid 2px black;color: white;'>";
        echo 'You must set variable $PG_CONNECT_STRING in local.php';
        echo "</div>\n";
        return;
    }

    if (isset($_GET["sql"])){
        $db = @pg_connect($PG_CONNECT_STRING);
        if (!$db){
            echo "<div style='background-color: red;display:table;padding: 1em;border: solid 2px black;color: white;'>";
            echo pg_last_error();
            echo "</div>\n";
            return;
        }

        $q = $_GET["sql"];
        $q = preg_replace("/--.*?$/m", '', $q);
        $q = preg_replace("/\r/", '', $q);
        $q = preg_replace("/^\s+$/m", "\n", $q);
        $qs = Array();
        $apos = false;
        $s = '';
        //dump($q);
        $qs = explode("\n\n\n", $q);
        /*for ($i = 0; $i < strlen($q); $i++){
            if ($q[$i] == "'"){
                $apos = !$apos;
                $s .= $q[$i];
                continue;
            }
            if ($q[$i] == ';' && $apos == false){
                if (strlen($q) >= $i + 1 && $q[$i+1] == ';'){
                    $s .= $q[$i];
                    $i++;
                    continue;
                }
                if (trim($s) != '') array_push($qs, $s);
                $s = '';
                continue;
            }
            $s .= $q[$i];
        }
        if (trim($s) != '') array_push($qs, $s);*/
        //dump($qs);

        foreach ($qs as $q){
            print "<div class=\"query\">\n";

            $res = @pg_query($db, $q);
            if (!$res){
                echo "<pre style='background-color: red;display:table;padding: 1em;border: solid 2px black;color: white;'>";
                echo pg_last_error();
                echo "</pre>\n";
                return;
            }
            echo "<div>".qh($q)."</div>";
            $n = pg_num_fields($res);
            if ($n == 0){
                echo "<div>No result</div>\n";
            }else{
                echo "<table>\n<tr>";
                echo "<th>Nr.</th>\n";
                for ($i = 0; $i < $n; $i++){
                    $col = pg_field_name($res, $i);
                    $type = pg_field_type($res, $i);
                    echo "<th title=\"".qh($type)."\">$col</th>";
                }
                echo "</th>";
                $class = "even";
                $rownr = 1;
                while ($row = pg_fetch_row($res)) {
                    echo "<tr class=$class>\n";
                    echo "<td class=\"right\">$rownr.</td>"; $rownr++;
                    for ($i = 0; $i < $n; $i++){
                        $val = $row[$i];
                        $tdclass = '';
                        $type = pg_field_type($res, $i);
                        if ($type == 'int4' || $type == 'int8') $tdclass = "right "; 
                        if (!isset($val)) $val = "(null)"; 
                        $qval = qh($val);
                        $qval = preg_replace('/\r/','', $qval);
                        $qval = preg_replace('/\n/',"<br>\n", $qval);

                        if ($tdclass != '') $tdclass = " class=\"$tdclass\""; 
                        echo "<td$tdclass><div>";
                        if ($i == 0 && isset($_GET['href0'])){
                            echo "<a href=\"#\" onclick=".$_GET['href0']."('$val')>$qval</a>";
                        }else{
                            echo $qval;
                        }
                        echo "&nbsp;</div></td>";
                        //dump($val);
                    }
                    echo "</tr>\n";
                    if ($class == "odd") $class = "even"; else $class = "odd";
                }
                echo "</table>";
            }
            echo "<div class=notice>".pg_last_notice($db)."</div>";
            echo "</div>";
        }
        return;
    }
    
    if (isset($_GET['edittable'])){
        $db = @pg_connect($PG_CONNECT_STRING);
        if (!$db){
            echo "<div style='background-color: red;display:table;padding: 1em;border: solid 2px black;color: white;'>";
            echo pg_last_error();
            echo "</div>\n";
            return;
        }

        $q = "select schemaname, tablename, column_name, data_type, character_maximum_length, is_nullable, column_default ".
             "from pg_tables ".
             "left join information_schema.columns ".
             "    on pg_tables.schemaname = information_schema.columns.table_schema ".
             "    and pg_tables.tablename = information_schema.columns.table_name ".
             "    where schemaname || '.' || tablename = '".qs($_GET['edittable'])."' ".
             "    order by pg_tables.tablename, ordinal_position ";

        $res = @pg_query($db, $q);
        if (!$res){
            echo "<pre style='background-color: red;display:table;padding: 1em;border: solid 2px black;color: white;'>";
            echo pg_last_error();
            echo "</pre>\n";
            return;
        }
        $i = 0;
        $columns = '';
        while($row = pg_fetch_array($res)){
            $tablename = $row['tablename'];
            $schemaname = $row['schemaname'];
            if ($i > 0) $columns = rtrim($columns).",\n";
            $columns .= '    ';
            $columns .= $row['column_name'].' ';
            $columns .= $row['data_type'];
            if ($row['character_maximum_length'] != null) $columns .= '('.$row['character_maximum_length'].')'; 
            $columns .= ' ';
            if ($row['is_nullable'] != 'YES') $columns .= 'not null ';
            if ($row['column_default'] != null) $columns .= 'default '.$row['column_default'].' '; 
            $i++;
        }
        echo "CREATE TABLE IF NOT EXISTS $schemaname.$tablename(\n$columns\n)";
        echo "\n\n";
        echo "--ALTER TABLE $schemaname.$tablename ADD COLUMN newcol text\n";
        echo "--ALTER TABLE $schemaname.$tablename ALTER COLUMN col text\n";
        echo "\n";

        ######## indexes
        $q = " select * ".
             "from pg_indexes ".
             "    where schemaname || '.' || tablename = '".qs($_GET['edittable'])."' ";
        $res = @pg_query($db, $q);
        while($row = pg_fetch_array($res)){
            echo $row['indexdef']."\n";
        }
                                   
        ######## foreign keys
        $q = "select tc.constraint_name, tc.table_name, kcu.column_name, ccu.table_name AS foreign_table_name, ccu.column_name AS foreign_column_name ".
             "from information_schema.table_constraints as tc ".
             "inner join information_schema.key_column_usage as kcu ".
             "    on tc.constraint_name = kcu.constraint_name ".
             "    inner join information_schema.constraint_column_usage as ccu ".
             "        on ccu.constraint_name = tc.constraint_name ".
             "where constraint_type = 'FOREIGN KEY' ".
             "    and tc.table_schema || '.' || tc.table_name= '".qs($_GET['edittable'])."' ";
        $res = @pg_query($db, $q);
        while($row = pg_fetch_array($res)){
            echo 'ALTER TABLE '.$row['table_name'].' ADD '.$row['constraint_name']." FOREIGN KEY(".$row['column_name'].") ";
            echo 'REFERNCES '.$row['foreign_table_name']."(".$row['foreign_column_name'].")\n";
        }

        return;
    }

    if (isset($_GET['editproc'])){
        $db = @pg_connect($PG_CONNECT_STRING);
        if (!$db){
            echo "<div style='background-color: red;display:table;padding: 1em;border: solid 2px black;color: white;'>";
            echo pg_last_error();
            echo "</div>\n";
            return;
        }

        $q = "   select procoid, proname, lanname, rettypename, argmode, argname, at.typname as argtypename, prosrc, at.typcategory ".
             "   from (    ".
             "       select pg_proc.oid as procoid, proname, pg_language.lanname as lanname, rt.typname as rettypename, ".
             "           arg.argmode, arg.argname, arg.argtype, pg_proc.prosrc".
             "       from pg_proc".
             "       inner join pg_user".
             "           on pg_proc.proowner = pg_user.usesysid".
             "       inner join pg_language".
             "           on pg_proc.prolang = pg_language.oid".
             "       inner join pg_type as rt".
             "           on pg_proc.prorettype = rt.oid".
             "       left join (".
             "           select oid, ".
             "                case when proargmodes is null then 'i' else unnest(proargmodes) end as argmode, ".
             "                case when proallargtypes is null then unnest(proargtypes) else unnest(proallargtypes) end as argtype, ".
             "                unnest(proargnames) as argname ".
             "           from pg_proc".
             "           where oid='".qs($_GET["editproc"])."'".
             "       ) arg ".
             "           on pg_proc.oid = arg.oid ".
             "       where pg_proc.oid='".qs($_GET["editproc"])."'".
             "   )x".
             "   left join pg_type as at".
             "       on x.argtype = at.oid ";
        $res = @pg_query($db, $q);
        if (!$res){
            echo "<pre style='background-color: red;display:table;padding: 1em;border: solid 2px black;color: white;'>";
            echo pg_last_error();
            echo "</pre>\n";
            return;
        }
        $i = 0;
        $args = '';
        $rets = '';
        $selargs = '';
        while($row = pg_fetch_array($res)){
            $argmode = $row['argmode'];
            $argname = $row['argname'];
            $lanname = $row['lanname'];
            if (strpos($argname, ' ')) $argname = '"'.$argname.'"';

            if ($argmode == 'i' || $argmode == 'o'){
                if (strlen($args) > 0) $args .= ', ';
                if (isset($row['argtypename'])) $args .= $argname.' '.$row['argtypename'];
                if (strlen($selargs) > 0) $selargs .= ', ';
                switch ($row['typcategory']){
                    case 'B': $selargs .= "false"; break;
                    case 'D': $selargs .= "'".date("Y-m-d")."'"; break;
                    case 'I': $selargs .= "'192.168.1.1'"; break;
                    case 'N': $selargs .= "0"; break;
                    case 'S': $selargs .= "''"; break;
                    case 'T': $selargs .= "'00:00:00'"; break;
                    case 'U': $selargs .= "'uuid'"; break;
                    case 'X': $selargs .= "?"; break;
                    default: $selargs .= $row['typcategory']; break;
                }
            }
            if ($argmode == 't'){
                if (strlen($rets) > 0) $rets .= ",\n    ";
                if (isset($row['argtypename'])) $rets .= $argname.' '.$row['argtypename'];
            }
            $proname = $row['proname'];
            $rettypename = $row['rettypename'];
            $prosrc = $row['prosrc'];
            $i++;
        }
        if ($rettypename == 'record') $rettypename = "table (\n    " . $rets . "\n)";
        echo "--DROP FUNCTION $proname($args) ;;\n\n";
        echo "CREATE OR REPLACE FUNCTION $proname($args) \nRETURNS $rettypename AS $$";
        echo $prosrc;
        echo "$$ LANGUAGE '$lanname'\n";
        echo "\n";
        echo "--select * from $proname($selargs)\n"; 

        return;
    }
    
    if (isset($_GET['editview'])){
        $db = @pg_connect($PG_CONNECT_STRING);
        if (!$db){
            echo "<div style='background-color: red;display:table;padding: 1em;border: solid 2px black;color: white;'>";
            echo pg_last_error();
            echo "</div>\n";
            return;
        }

        $q = "  select viewname, definition ".
             "  from pg_views    ".
             "  where viewname='".qs($_GET["editview"])."'";
        $res = @pg_query($db, $q);
        if (!$res){
            echo "<pre style='background-color: red;display:table;padding: 1em;border: solid 2px black;color: white;'>";
            echo pg_last_error();
            echo "</pre>\n";
            return;
        }
        if($row = pg_fetch_array($res)){
            echo "CREATE OR REPLACE VIEW ".$row['viewname']." AS \r\n";
            $def = $row['definition'];
            $def = str_replace("'::text", "'", $def);
            $def = str_replace("SELECT ", "\nSELECT ", $def);
            $def = str_replace("FROM ", "\nFROM ", $def);
            $def = str_replace("WHERE ", "\nWHERE ", $def);
            $def = str_replace("GROUP BY ", "\nGROUP BY ", $def);
            $def = str_replace("ORDER BY ", "\nORDER BY ", $def);
            $def = str_replace("UNION ", "\n\nUNION \n", $def);
            $level = 0;
            $ind[$level] = "";
            for ($i = 0; $i < strlen($def); $i++){
                if ($def[$i] == '(') {
                    $level++;
                    $keyword = trim(substr($def, 0, $i - 1));
                    $ind[$level] = "";
                    if (preg_match('/FROM$/', $keyword)) $ind[$level] = "    ";
            
                    #$def = substr_replace($def, "\n", $i + 1, 0);
                }
                if ($def[$i] == ')') {
                    /*echo "{level=$level ";
                    for ($j = 0; $j <= $level; $j++) echo strlen($ind[$j])." ";
                    echo "}\n";*/
                    if ($ind[$level] != ''){
                        $s = '';
                        for ($j = 0; $j <= $level - 1; $j++) $s .= $ind[$j];
                        $def = substr_replace($def, $s, $i + 1, 0);
                    
                        $def = substr_replace($def, "\n$s", $i, 0);
                        $i += strlen($s) + 1;
                    }
                    $level--;
                    continue;
                }
                if ($def[$i] == "\n"){
                    $s = '';
                    for ($j = 0; $j <= $level; $j++) $s .= $ind[$j];
                    $def = substr_replace($def, $s, $i + 1, 0);
                }
            } 


            echo $def;
        }
        return;
    }


?>
<!DOCTYPE html>
<html>
<head>
    <title>SQL console</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width">
    <link rel="stylesheet" type="text/css" href="style.css">
    <style>

body{
    color: #000000;
}

table{
    color: #000000;
    background-color: #f0f0f0;
    border: 2px solid #000000;
}

th{
    color: #000000;
    background-color: #a0a0a0;
    padding-left: 2px;
    padding-right: 2px;
}

td{
    color: #000000;
    padding-left: 2px;
    padding-right: 2px;
}

td.right{
    text-align: right;
}

/*td.null {
    background: #E0E0C0;
}

td.right.null {
    background: #FFFFE0;
} */

tr.even {
    color: #000000;
    background: #FFFFFF;
}

tr.odd {
    color: #000000;
    background: #D0D0FF;
}


div.query {
    color: #000000;
    background-color: #e0e0e0;
    margin: 0.5em;
    padding: 3px;
    border: solid 1px black;
    display: table;
}

span.right{
   /*float: right;*/
   margin-left: 20em;
}

    </style>
    <script>

function loadXMLDoc(url, cfunc)
{
    if (window.XMLHttpRequest)
    {// code for IE7+, Firefox, Chrome, Opera, Safari
        xmlhttp=new XMLHttpRequest();
    }
    else
    {// code for IE6, IE5
        xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
    }
    xmlhttp.onreadystatechange=cfunc;
    xmlhttp.open("GET",url,true);
    xmlhttp.send();
}

function execute(){
    var textComponent = document.getElementById('sql');
    var selectedText;
    // IE version
    if (document.selection != undefined)
    {
        textComponent.focus();
        var sel = document.selection.createRange();
        selectedText = sel.text;
    }
    // Mozilla version
    else if (textComponent.selectionStart != undefined)
    {
        var startPos = textComponent.selectionStart;
        var endPos = textComponent.selectionEnd;
        selectedText = textComponent.value.substring(startPos, endPos)
    }
    if (selectedText == '') selectedText = textComponent.value;


    loadXMLDoc(document.URL.replace('#', '') + "?sql=" + encodeURIComponent(selectedText), function(){
        if (xmlhttp.readyState==4 && xmlhttp.status==200){
            document.getElementById("result").innerHTML = xmlhttp.responseText;
        }
    });
}

function listtables(){
    q = "select schemaname || '.' || tablename as table " +
        "from pg_tables " +
        "where schemaname='public'";
    loadXMLDoc(document.URL.replace('#', '') + "?sql=" + encodeURIComponent(q) + '&href0=edittable', function(){
        if (xmlhttp.readyState==4 && xmlhttp.status==200){
            document.getElementById("result").innerHTML = xmlhttp.responseText;
        }
    });
}

function listproc(){
    q = "select procoid as oid, " +
        "   proname || '(' || coalesce(string_agg(case when argmode = 'i' or argmode = 'o' then (argname || ' ' || at.typname) else null end, ', '), '') || ')' as procedure,  " +
        "   'returns ' || rettypename || ' (' || string_agg(case when argmode = 't' then (argname  || ' ' || at.typname) else null end, ', ') || ')' as returns " +
        "from (  " +
        "    select pg_proc.oid as procoid, proname, pg_language.lanname as lanname, rt.typname as rettypename, " +
        "        arg.argmode, arg.argname, arg.argtype " +
        "    from pg_proc  " +
        "    inner join pg_user  " +
        "        on pg_proc.proowner = pg_user.usesysid  " +
        "    inner join pg_language  " +
        "        on pg_proc.prolang = pg_language.oid  " +
        "    inner join pg_type as rt " +
        "        on pg_proc.prorettype = rt.oid " +
        "    left join ( " +
        "        select oid,  " +
        "             case when proargmodes is null then 'i' else unnest(proargmodes) end as argmode,  " +
        "             case when proallargtypes is null then unnest(proargtypes) else unnest(proallargtypes) end as argtype,  " +
        "             unnest(proargnames) as argname  " +
        "        from pg_proc " +
        "    ) arg  " +
        "        on pg_proc.oid = arg.oid  " +
        "    where pg_user.usename<>'postgres'  " +
        ")x " +
        "    left join pg_type as at " +
        "        on x.argtype = at.oid " +
        "group by procoid, proname, rettypename " +    
        "order by proname";
    
    loadXMLDoc(document.URL.replace('#', '') + "?sql=" + encodeURIComponent(q) + '&href0=editproc', function(){
        if (xmlhttp.readyState==4 && xmlhttp.status==200){
            document.getElementById("result").innerHTML = xmlhttp.responseText;
        }
    });
}

function listviews(){
    q = "select viewname " +
        "from pg_views " +
        "where viewowner<>'postgres' "; 
    loadXMLDoc(document.URL.replace('#', '') + "?sql=" + encodeURIComponent(q) + '&href0=editview', function(){
        if (xmlhttp.readyState==4 && xmlhttp.status==200){
            document.getElementById("result").innerHTML = xmlhttp.responseText;
        }
    });
}

function edittable(tablename){
    loadXMLDoc(document.URL.replace('#', '') + "?edittable=" + tablename, function(){
        if (xmlhttp.readyState==4 && xmlhttp.status==200){
            document.getElementById("sql").value = xmlhttp.responseText;
        }
    });
}

function editproc(oid){
    loadXMLDoc(document.URL.replace('#', '') + "?editproc=" + oid, function(){
        if (xmlhttp.readyState==4 && xmlhttp.status==200){
            document.getElementById("sql").value = xmlhttp.responseText;
        }
    });
}

function editview(viewname){
    loadXMLDoc(document.URL.replace('#', '') + "?editview=" + viewname, function(){
        if (xmlhttp.readyState==4 && xmlhttp.status==200){
            document.getElementById("sql").value = xmlhttp.responseText;
        }
    });
}

function kbdHandler(event)
{
    if (!event) event = window.event;
    if (!event) return;

    var keyCode = event.keyCode ? event.keyCode : event.charCode;
    if (keyCode == 116){ // F5
        window.setTimeout("window.status='';", 2000);

        // Standard DOM (Mozilla):
        if (event.preventDefault) event.preventDefault();

        //IE (exclude Opera with !event.preventDefault):
        if (document.all && window.event && !event.preventDefault) {
            event.cancelBubble = true;
            event.returnValue = false;
            event.keyCode = 0;
        }
        execute();
        return false;
    }
}

function rl(){
}

function lr(){
}

function start(){
/*   if (document.addEventListener) document.addEventListener('keypress', kbdHandler, true);
   else*/ if (document.attachEvent) document.attachEvent('onkeydown', kbdHandler);
   else document.onkeydown = kbdHandler;
}
window.onload = start;


    </script>
</head>
<body>

<div style="position: relative; float:left;">
<textarea rows=30 cols=120 name=sql id=sql>
</textarea>
</div>
<!--div style="position: relative;float:left;">
<div><input type=text id=l0>&#8660;<input type=text id=r0></div>
<div><input type=text id=l1>&#8660;<input type=text id=r1></div>
<div><input type=text id=l2>&#8660;<input type=text id=r2></div>
<div><button type=button onclick="rl()">&#8656;</button><button type=button onclick="lr()"style="float:right;">&#8658;</button></div>
</div-->
<div style="clear: both;"></div>
<div>
    <button onclick="execute()">Execute</button>
    <span class="right">
        <button type=button onclick="listtables()">Tables</button>
        <button type=button onclick="listviews()">Views</button>
        <button type=button onclick="listproc()">Functions</button>
    </span>
</div>

<div id="result">No result</div>

<div id="validators">
<a href="http://validator.w3.org/check/referer">
<img src="http://www.w3.org/html/logo/badge/html5-badge-h-css3-semantics.png" 
     alt="Valid HTML 5!" height="31" width="88"></a>&nbsp;

<a href="http://jigsaw.w3.org/css-validator/check/referer">
<img style="width:88px;height:31px"
     src="http://jigsaw.w3.org/css-validator/images/vcss" 
     alt="Valid CSS!"></a>&nbsp;

</div>

</body></html>

